Package org.apache.calcite.avatica.proto

## Interface Responses.ExecuteResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Responses.ExecuteResponse`, `Responses.ExecuteResponse.Builder`

Enclosing class:
  Responses

    public static interface Responses.ExecuteResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 3;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 3;`
`boolean` `getMissingStatement()` Did the request fail because of no-cached statement
`Responses.ResultSetResponse` `getResults​(int index)` `repeated .ResultSetResponse results = 1;`
`int` `getResultsCount()` `repeated .ResultSetResponse results = 1;`
`java.util.List<Responses.ResultSetResponse>` `getResultsList()` `repeated .ResultSetResponse results = 1;`
`Responses.ResultSetResponseOrBuilder` `getResultsOrBuilder​(int index)` `repeated .ResultSetResponse results = 1;`
`java.util.List<? extends Responses.ResultSetResponseOrBuilder>` `getResultsOrBuilderList()` `repeated .ResultSetResponse results = 1;`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getResultsList

    java.util.List<Responses.ResultSetResponse> getResultsList()

`repeated .ResultSetResponse results = 1;`

#### getResults

    Responses.ResultSetResponse getResults​(int index)

`repeated .ResultSetResponse results = 1;`

#### getResultsCount

    int getResultsCount()

`repeated .ResultSetResponse results = 1;`

#### getResultsOrBuilderList

    java.util.List<? extends Responses.ResultSetResponseOrBuilder> getResultsOrBuilderList()

`repeated .ResultSetResponse results = 1;`

#### getResultsOrBuilder

    Responses.ResultSetResponseOrBuilder getResultsOrBuilder​(int index)

`repeated .ResultSetResponse results = 1;`

#### getMissingStatement

    boolean getMissingStatement()

     Did the request fail because of no-cached statement

`bool missing_statement = 2;`

#### hasMetadata

    boolean hasMetadata()

`.RpcMetadata metadata = 3;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 3;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 3;`